: Class WakeUpServer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ts.biff
Class WakeUpServer

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--ts.biff.WakeUpServer

All Implemented Interfaces:
  java.lang.Runnable

public final class WakeUpServer
extends java.lang.Thread

This class binds a server socket to a given port, if anything tries to connect to that port it will fire a WakeUp event to notify any listeners.

Version:
  $Id: WakeUpServer.java,v 1.10 1999/11/26 21:58:15 hauk Exp $
Author:
  Jan-Henrik Haukeland <hauk@tildeslash.com>

Field Summary
`protected javax.swing.event.EventListenerList` | `listenerList` A list holding WakeUpListeners

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Method Summary
`void` | `addWakeUpListener(WakeUpListener listener)` Adds a WakeUpListener.
`static WakeUpServer` | `getInstance()` Returns a WakeUpServer singelton
`void` | `removeWakeUpListener(WakeUpListener listener)` Removes a WakeUpListener
`void` | `run()` Listens for connections on a WakeUp port.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### listenerList

    protected javax.swing.event.EventListenerList listenerList

  A list holding WakeUpListeners

Method Detail

### getInstance

    public static WakeUpServer getInstance()

  Returns a WakeUpServer singelton
  Returns:
    A WakeUpServer singelton object

### run

    public void run()

  Listens for connections on a WakeUp port. When anything tries to connect to the port, fire a WakeUpEvent to notify any listeners. There's only a super simple protocol in use, since we're only interested in the connection.
  Overrides:
    `run` in class `java.lang.Thread`

### addWakeUpListener

    public void addWakeUpListener(WakeUpListener listener)

  Adds a WakeUpListener.
  Parameters:
    `listener` - A WakeUp listener object

### removeWakeUpListener

    public void removeWakeUpListener(WakeUpListener listener)

  Removes a WakeUpListener
  Parameters:
    `listener` - A WakeUP listener object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD